"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GETUsersIdOwnedListsRoute = exports.GETListsIdRoute = void 0;
/**
 * Generates a route for fetching a list by its id:
 * - GET `/lists/:id`
 * @param listId The list id to fetch
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/lists/list-lookup/api-reference/get-lists-id
 */
function GETListsIdRoute(listId) {
    return `/lists/${listId}`;
}
exports.GETListsIdRoute = GETListsIdRoute;
/**
 * Generates route for fetching lists owned by a user:
 * - GET `/users/:id/owned_lists`
 * @param userId The user id whose owned lists are to be fetched
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/lists/list-lookup/api-reference/get-users-id-owned_lists
 */
function GETUsersIdOwnedListsRoute(userId) {
    return `/users/${userId}/owned_lists`;
}
exports.GETUsersIdOwnedListsRoute = GETUsersIdOwnedListsRoute;
//# sourceMappingURL=ListsLookup.js.map