"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PUTListsIdRoute = exports.DELETEListsIdRoute = exports.POSTListsRoute = void 0;
/**
 * Generates route for creating a list:
 * - POST `/lists`
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/lists/manage-lists/api-reference/post-lists
 */
function POSTListsRoute() {
    return `/lists`;
}
exports.POSTListsRoute = POSTListsRoute;
/**
 * Generates route for deleting a list:
 * - DELETE `/lists/:id`
 * @param listId The list id to delete
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/lists/manage-lists/api-reference/delete-lists-id
 */
function DELETEListsIdRoute(listId) {
    return `/lists/${listId}`;
}
exports.DELETEListsIdRoute = DELETEListsIdRoute;
/**
 * Generates route for updating a list:
 * - PUT `/lists/:id`
 * @param listId The list id to update
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/lists/manage-lists/api-reference/put-lists-id
 */
function PUTListsIdRoute(listId) {
    return `/lists/${listId}`;
}
exports.PUTListsIdRoute = PUTListsIdRoute;
//# sourceMappingURL=ManageLists.js.map