"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GETTweetsSearchStreamRoute = exports.GETTweetsSearchStreamRulesRoute = exports.POSTTweetsSearchStreamRulesRoute = void 0;
/**
 * Generates link for adding or deleting filtered-tweet-stream rules:
 * - POST `/tweets/search/stream/rules`
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/filtered-stream/api-reference/post-tweets-search-stream-rules
 */
function POSTTweetsSearchStreamRulesRoute() {
    return `/tweets/search/stream/rules`;
}
exports.POSTTweetsSearchStreamRulesRoute = POSTTweetsSearchStreamRulesRoute;
/**
 * Generates route for fetching currently active filtered-tweet-stream rules:
 * - GET `/tweets/search/stream/rules`
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/filtered-stream/api-reference/get-tweets-search-stream-rules
 */
function GETTweetsSearchStreamRulesRoute() {
    return `/tweets/search/stream/rules`;
}
exports.GETTweetsSearchStreamRulesRoute = GETTweetsSearchStreamRulesRoute;
/**
 * Generates route to connect with the filtered-tweet-stream:
 * - GET `/tweets/search/stream`
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/filtered-stream/api-reference/get-tweets-search-stream
 */
function GETTweetsSearchStreamRoute() {
    return `/tweets/search/stream`;
}
exports.GETTweetsSearchStreamRoute = GETTweetsSearchStreamRoute;
//# sourceMappingURL=FilteredStream.js.map