/**
 * The body for hiding/unhiding a reply to a tweet
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/hide-replies/api-reference/put-tweets-id-hidden
 */
export interface PUTTweetsIdHiddenJSONBody {
    hidden: boolean;
}
/**
 * The response of hiding/unhiding a reply to a tweet
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/hide-replies/api-reference/put-tweets-id-hidden
 */
export interface PUTTweetsIdHiddenResponse {
    data: {
        hidden: boolean;
    };
}
/**
 * Generates route for hiding/unhiding a reply to a tweet:
 * - PUT `/tweets/:id/hidden`
 * @param tweetId The tweet id to hide
 *
 * @link https://developer.twitter.com/en/docs/twitter-api/tweets/hide-replies/api-reference/put-tweets-id-hidden
 */
export declare function PUTTweetsIdHiddenRoute(tweetId: string): `/tweets/${string}/hidden`;
//# sourceMappingURL=HideReplies.d.ts.map