"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DELETETweetsIdRoute = exports.POSTTweetsRoute = void 0;
/**
 * Generates route for creating a tweet:
 * - POST `/tweets`
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/manage-tweets/api-reference/post-tweets
 */
function POSTTweetsRoute() {
    return `/tweets`;
}
exports.POSTTweetsRoute = POSTTweetsRoute;
/**
 * Generates route for deleting a tweet:
 * - DELETE `/tweets/:id`
 * @param tweetId The tweet id to delete
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/manage-tweets/api-reference/delete-tweets-id
 */
function DELETETweetsIdRoute(tweetId) {
    return `/tweets/${tweetId}`;
}
exports.DELETETweetsIdRoute = DELETETweetsIdRoute;
//# sourceMappingURL=ManageTweets.js.map