"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GETTweetsSearchAllRoute = exports.GETTweetsSearchRecentRoute = void 0;
/**
 * Generates route for fetching recent tweets by search query:
 * - GET `/tweets/search/recent`
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/search/api-reference/get-tweets-search-recent
 */
function GETTweetsSearchRecentRoute() {
    return `/tweets/search/recent`;
}
exports.GETTweetsSearchRecentRoute = GETTweetsSearchRecentRoute;
/**
 * Generates route for fetching full-archive tweets by search query:
 * - GET `/tweets/search/all`
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/search/api-reference/get-tweets-search-all
 */
function GETTweetsSearchAllRoute() {
    return `/tweets/search/all`;
}
exports.GETTweetsSearchAllRoute = GETTweetsSearchAllRoute;
//# sourceMappingURL=SearchTweets.js.map