"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GETUsersIdMentionsRoute = exports.GETUsersIdTweetsRoute = void 0;
/**
 * Generates route for fetching tweets composed by a user:
 * - GET `/users/:id/tweets`
 * @param userId The user id whose tweets are to be fetched
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/timelines/api-reference/get-users-id-tweets
 */
function GETUsersIdTweetsRoute(userId) {
    return `/users/${userId}/tweets`;
}
exports.GETUsersIdTweetsRoute = GETUsersIdTweetsRoute;
/**
 * Generates route for fetching tweets mentioning a user:
 * - GET `/users/:id/mentions`
 * @param userId The user id that the tweets mention
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/timelines/api-reference/get-users-id-mentions
 */
function GETUsersIdMentionsRoute(userId) {
    return `users/${userId}/mentions`;
}
exports.GETUsersIdMentionsRoute = GETUsersIdMentionsRoute;
//# sourceMappingURL=Timelines.js.map