"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GETTweetsCountsAllRoute = exports.GETTweetsCountsRecentRoute = void 0;
/**
 * Generates route for fetching count of recent tweets that match a search query:
 * - GET `/tweets/counts/recent`
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/counts/api-reference/get-tweets-counts-recent
 */
function GETTweetsCountsRecentRoute() {
    return `/tweets/counts/recent`;
}
exports.GETTweetsCountsRecentRoute = GETTweetsCountsRecentRoute;
/**
 * Generates route for fetching count of full-archive tweets that match a search query:
 * - GET `/tweets/counts/all`
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/counts/api-reference/get-tweets-counts-all
 */
function GETTweetsCountsAllRoute() {
    return `/tweets/counts/all`;
}
exports.GETTweetsCountsAllRoute = GETTweetsCountsAllRoute;
//# sourceMappingURL=TweetCounts.js.map