"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GETTweetsIdRoute = exports.GETTweetsRoute = void 0;
/**
 * Generates route for fetching multiple tweets by ids:
 * - GET `/tweets`
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/lookup/api-reference/get-tweets
 */
function GETTweetsRoute() {
    return `/tweets`;
}
exports.GETTweetsRoute = GETTweetsRoute;
/**
 * Generates route for fetching a tweet by id:
 * - GET `/tweets/:id`
 * @param tweetId The tweet id to fetch
 *
 * @see https://developer.twitter.com/en/docs/twitter-api/tweets/lookup/api-reference/get-tweets-id
 */
function GETTweetsIdRoute(tweetId) {
    return `/tweets/${tweetId}`;
}
exports.GETTweetsIdRoute = GETTweetsIdRoute;
//# sourceMappingURL=TweetsLookup.js.map