import type { APIPollFieldsParameterType } from '../polls';
import type { APIUserFieldsParameterType } from '../users';
import type { APIMediaFieldsParameterType } from '../media';
import type { APIPlaceFieldsParameterType } from '../places';
import type { APIMedia, APIPlace, APIPoll, APITweet, APIUser } from '../../payloads';
export * from './Bookmarks';
export * from './FilteredStream';
export * from './HideReplies';
export * from './Likes';
export * from './ManageTweets';
export * from './QuoteTweets';
export * from './Retweets';
export * from './SearchTweets';
export * from './Timelines';
export * from './TweetCounts';
export * from './TweetsLookup';
export * from './VolumeStreams';
export declare type APITweetExpansionsParameterType = 'attachments.poll_ids' | 'attachments.media_keys' | 'author_id' | 'entities.mentions.username' | 'geo.place_id' | 'in_reply_to_user_id' | 'referenced_tweets.id' | 'referenced_tweets.id.author_id';
export declare const APITweetExpansionsParameters: Array<APITweetExpansionsParameterType>;
export declare type APITweetFieldsParameterType = keyof APITweet;
export declare const APITweetFieldsParameters: Array<APITweetFieldsParameterType>;
export interface APITweetExpansions {
    tweets?: Array<APITweet>;
    users?: Array<APIUser>;
    places?: Array<APIPlace>;
    media?: Array<APIMedia>;
    polls?: Array<APIPoll>;
}
export interface SingleTweetLookupQuery {
    expansions?: Array<APITweetExpansionsParameterType>;
    'media.fields'?: Array<APIMediaFieldsParameterType>;
    'place.fields'?: Array<APIPlaceFieldsParameterType>;
    'poll.fields'?: Array<APIPollFieldsParameterType>;
    'tweet.fields'?: Array<APITweetFieldsParameterType>;
    'user.fields'?: Array<APIUserFieldsParameterType>;
}
export interface SingleTweetLookupResponse {
    data: APITweet;
    includes?: APITweetExpansions;
}
export declare type MultipleTweetsLookupQuery = SingleTweetLookupQuery;
export interface MultipleTweetsLookupResponse {
    data: Array<APITweet>;
    includes?: APITweetExpansions;
}
//# sourceMappingURL=index.d.ts.map