import type { APITweet, APIUser } from '../../payloads';
import type { APITweetFieldsParameterType } from '../tweets';
export * from './Blocks';
export * from './Follows';
export * from './Mutes';
export * from './UsersLookup';
export declare type APIUserExpansionsParameterType = 'pinned_tweet_id';
export declare const APIUserExpansionsParameters: Array<APIUserExpansionsParameterType>;
export declare type APIUserFieldsParameterType = keyof APIUser;
export declare const APIUserFieldsParameters: Array<APIUserFieldsParameterType>;
export interface APIUserExpansions {
    tweets?: Array<APITweet>;
}
export interface SingleUserLookupQuery {
    expansions?: Array<APIUserExpansionsParameterType>;
    'tweet.fields'?: Array<APITweetFieldsParameterType>;
    'user.fields'?: Array<APIUserFieldsParameterType>;
}
export interface SingleUserLookupResponse {
    data: APIUser;
    includes?: APIUserExpansions;
}
export declare type MultipleUsersLookupQuery = SingleUserLookupQuery;
export interface MultipleUsersLookupResponse {
    data: Array<APIUser>;
    includes?: APIUserExpansions;
}
//# sourceMappingURL=index.d.ts.map